/*
 * Copyright (c) 1990 Regents of The University of Michigan.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appears in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * The University of Michigan not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission. This software is supplied as
 * is without expressed or implied warranties of any kind.
 *
 *	ITD Research Systems
 *	University of Michigan
 *	535 W. William Street
 *	Ann Arbor, Michigan
 *	+1-313-936-2652
 *	netatalk@terminator.cc.umich.edu
 */

#include "Types.r"

/*----------- uamg  User Authentication Method General Info -------------------*/
type 'uamg' {
		integer;													/* version (=1)		*/
		integer	Standard,Class_1,Class_2,Class_3;	/* Class					*/
		integer;													/* maxlen(Password)	*/
		byte		User_Password_Dialog,Default_Password_Dialog;
		byte		User_Volume_Selection,Default_Volume_Selection;
		byte;														/* UAM type ID			*/
		byte		No_BML_Support,BML_Support;	
};

/*-------------------- uamn  User Authentication Method Name ------------------*/
type 'uamn' {
		pstring;												/* String				*/
};

resource 'uamg' (0, "UAM General Info") {
	1,
	Class_3,
	63,
	User_Password_Dialog,
	Default_Volume_Selection,
	128+56,
	No_BML_Support
};

resource 'uamn' (2, "UAM Password Description") {
	"(Kerberos)"
};

resource 'uamn' (1, "UAM AFP Protocol") {
	"AFS Kerberos"
};

resource 'uamn' (0, "UAM Dialog String") {
	"AFS Kerberos"
};

resource 'ALRT' (1000) {
	{40, 56, 160, 456},
	1000,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1001) {
	{40, 56, 160, 456},
	1001,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1002) {
	{40, 56, 160, 456},
	1002,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1003) {
	{40, 56, 160, 456},
	1003,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'DITL' (1000) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Local configuration error."}
	}
};

resource 'DITL' (1001) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Remote configuration error."}
	}
};

resource 'DITL' (1002) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Unable to authenticate."}
	}
};

resource 'DITL' (1003) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Unable to authenticate in ^0."}
	}
};

resource 'STR ' (1000) {
	"AFPVersion 2.0"
};

resource 'STR ' (1001) {
	"v1.0b0"
};
