/*
 * Copyright (c) 1990 Regents of The University of Michigan.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appears in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * The University of Michigan not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission. This software is supplied as
 * is without expressed or implied warranties of any kind.
 *
 *	ITD Research Systems
 *	University of Michigan
 *	535 W. William Street
 *	Ann Arbor, Michigan
 *	+1-313-936-2652
 *	netatalk@terminator.cc.umich.edu
 */

#define DriverID	12

#include "types.r"
#include "systypes.r"
#include "mpwtypes.r"
#include "rsrc.h"

resource 'vers' (1) {
	1, 0, beta, 0, verUS,
	"AFS Log DA 1.0B0",
	"AFS Log DA 1.0B0\nUoMITDRS 10/91"
};

resource 'DLOG' (0 + 0xC000 | (DriverID << 5)) {
	{44, 70, 212, 424},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	0 + 0xC000 | (DriverID << 5),
	""
};

resource 'DLOG' (2 + 0xC000 | (DriverID << 5)) {
	{46, 138, 288, 460},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	2 + 0xC000 | (DriverID << 5),
	""
};

resource 'DITL' (0 + 0xC000 | (DriverID << 5)) {
	{	/* array DITLarray: 9 elements */
		/* [1] */
		{136, 260, 156, 330},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{136, 40, 156, 110},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{17, 74, 53, 348},
		StaticText {
			disabled,
			"Authenticate to \"^1\" as:"
		},
		/* [4] */
		{59, 62, 79, 109},
		StaticText {
			disabled,
			"Name:"
		},
		/* [5] */
		{59, 114, 75, 326},
		EditText {
			enabled,
			""
		},
		/* [6] */
		{92, 35, 109, 108},
		StaticText {
			disabled,
			"Password:"
		},
		/* [7] */
		{93, 114, 109, 180},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{92, 190, 110, 267},
		StaticText {
			disabled,
			"(Kerberos)"
		},
		/* [9] */
		{136, 136, 156, 236},
		Button {
			enabled,
			"Set Password"
		}
	}
};

resource 'DITL' (2 + 0xC000 | (DriverID << 5)) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{212, 209, 232, 279},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{212, 33, 232, 103},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 19, 29, 270},
		StaticText {
			disabled,
			"Select an AFS Kerberos server:"
		},
		/* [4] */
		{38, LIST_LEFT, 201, LIST_RIGHT },
		UserItem {
			enabled
		}
	}
};


resource 'ALRT' (4 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	4 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, silent,
/* [2] */	OK, visible, silent,
/* [3] */	OK, visible, silent,
/* [4] */	OK, visible, silent
	}
};

resource 'ALRT' (6 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	6 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (7 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	7 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (8 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	8 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (9 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	9 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'DITL' (4 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Re-authentication succeeded (^0)"}
	}
};

resource 'ALRT' (5 + 0xC000 | (DriverID << 5)) {
	{40, 56, 160, 456},
	5 + 0xC000 | (DriverID << 5),
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'DITL' (5 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "There are no AFS Kerberos servers mounted."}
	}
};

resource 'DITL' (6 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Sorry -- this program requires 128K ROMs."}
	}
};

resource 'DITL' (7 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Error opening \"AFS Kerberos\" resource file."}
	}
};

resource 'DITL' (8 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "AFS Log is incompatible with this version of AppleShare."}
	}
};

resource 'DITL' (9 + 0xC000 | (DriverID << 5)) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "AFS Log is unable to get more memory.  Sorry."}
	}
};
