/*
 * Copyright (c) 1990 Regents of The University of Michigan.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appears in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * The University of Michigan not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission. This software is supplied as
 * is without expressed or implied warranties of any kind.
 *
 *	ITD Research Systems
 *	University of Michigan
 *	535 W. William Street
 *	Ann Arbor, Michigan
 *	+1-313-936-2652
 *	netatalk@terminator.cc.umich.edu
 */
#define OP_UAM_OPEN	1
#define OP_UAM_CLOSE	2
#define OP_UAM_PWDDLOG	3
#define OP_UAM_LOGIN	4

#define UAM_LOGINCODE	128+56
#define UAM_VERSION	1000
#define VERSION_STR	1001

#define ACUR_WATCH		1000

#define ALRT_LOCALERR		1000
#define ALRT_REMOTEERR		1001
#define ALRT_AUTHERR		1002
#define ALRT_REALMERR		1003
#define ALRT_PWMISMATCH		1004
#define ALRT_SETPWOK		1005
#define ALRT_SETPWERR		1006
#define ALRT_OLDPWERR		1007
#define ALRT_SETPWNOTSUPP	1008
#define ALRT_NO_MORE_SESSIONS	1009
#define ALRT_AUTHOK		4
#define ALRT_NOSERVERS		5
#define ALRT_BADROM		6
#define ALRT_FILEERR		7
#define ALRT_BADVERS		8
#define ALRT_NOMEMORY		9

#define LOG_PASSWD_DLOG	0
#define WAIT_DLOG	2001
#define UAM_PASSWD_DLOG	2002
#define SETPW_DLOG	2003
#define SELECT_DLOG	2

#define DLOG_OK	1
#define DLOG_CANCEL	2
#define DLOG_TOPTEXT	3
#define DLOG_NAME	4
#define DLOG_LIST	4
#define DLOG_NAMEBOX	5
#define DLOG_PASSWD	6
#define DLOG_PASSWDBOX	7
#define DLOG_REGUSER	8
#define DLOG_SETPASSWD	9
#define DLOG_GUEST	11

#define DLOG_OLDPW	5
#define DLOG_NEWPW_TEXT	6
#define DLOG_NEWPW	7

#define CHAR_ENTER	3
#define CHAR_DELETE	8
#define CHAR_RETURN	13
#define CHAR_ESC	27
#define CHAR_MAXCTRL	31

#define CHARMASK_BULLET	0xa5
#define KEYMASK_BULLET	(0x1c << 8)

#define MAXNAMELEN	MAX_K_NAME_SZ
#define MAXPASSWDLEN	8
#define MINPASSWDLEN	1
#define RECV_SIZE	4 * 578
#define SEND_SIZE	578

#define QDSIZE	206

#define AFPSRVRINFO_PASSWD	(1<<1)
#define AFP_AFSCHANGEPW		102
#define NBPTYPE_AFP		"\pAFPServer"

/*
 * function prototypes
 */
int	dologin( short initial, short doalerts, AFPLoginPrm *alpp, Str255 name,
		char *passwd, short *srefnum, des_cblock rsesskey );
short	wait_for_completion( XPPParmBlkPtr xppp );
void	placewindow( ResType rtype, short rid );
void	doalert( short alert );
void	lncase( char *q, int n );
DialogPtr	passwddialog( char *name, char *passwd, Handle iconhdl, short dlogid,
		Boolean in_uam, short curr_srefnum, Boolean dosetpw );
void	enablebutton( DialogPtr dp, short button, Boolean enable, Boolean frame );
DialogPtr	setpwdialog( char *name, char *oldpw, char *newpw );
void	setpw( char *name, short curr_srefnum );
short	lookup_address( char *obj, char *type, char *zone, AddrBlock *addrp );
short	get_server_status( short iorefnum, AddrBlock addr,
		Handle *iconhdl, Boolean *setpwsupported );
short	get_sesskey( short srefnum, des_cblock sesskey );
void	mysetup_A5( Ptr globalmem, long *newA5p );
void	mysetup_QD( long oldA5 );
void	myrestore_A5( long oldA5 );
