/*
 * Copyright (c) 1990 Regents of The University of Michigan.
 * All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appears in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * The University of Michigan not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission. This software is supplied as
 * is without expressed or implied warranties of any kind.
 *
 *	ITD Research Systems
 *	University of Michigan
 *	535 W. William Street
 *	Ann Arbor, Michigan
 *	+1-313-936-2652
 *	netatalk@terminator.cc.umich.edu
 */

#include "types.r"
#include "systypes.r"

resource 'vers' (1) {
	1, 0, beta, 6, verUS,
	"AFS Kerberos 1.0B0",
	"AFS Kerberos 1.0B0\nUoMITDRS 10/91"
};


type 'afsK' as 'STR ';

resource 'afsK' (0) {
	"AFS Kerberos"
};

resource 'BNDL' (128) {
	'afsK',
	0,
	{
		'ICN#',
		{
			0, 128
		},
		'FREF',
		{
			0, 128
		}
	}
};

resource 'FREF' (128) {
	'uams',
	0,
	""
};

/* new "skeleton key" icon by Mark Smith
 */
resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0F00 0000"
		$"3FC0 0000 30C0 0000 6060 0000 607F FFFE"
		$"607F FFFE 607F FFFE 6060 0036 30C0 0036"
		$"3FC0 0036 0F",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 1F80 0000 3FC0 0000"
		$"7FE0 0000 FFE0 0000 FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFE0 007F"
		$"7FE0 007F 3FC0 007F 1F80"
	}
};

/* old "keyhole" icon (Bill Doster's ??)
resource 'ICN#' (128) {
	{
		$"00 00 00 00 00 03 C0 00 00 0F F0 00 00 1F F8 00"
		$"00 1F F8 00 00 3F FC 00 00 3F FC 00 00 3F FC 00"
		$"00 3F FC 00 00 1F F8 00 00 1F F8 00 00 0F F0 00"
		$"00 03 C0 00 00 03 C0 00 00 03 C0 00 00 07 E0 00"
		$"00 07 E0 00 00 07 E0 00 00 07 E0 00 00 0F F0 00"
		$"00 0F F0 00 00 0F F0 00 00 0F F0 00 00 1F F8 00"
		$"00 1F F8 00 00 1F F8 00 00 1F F8 00 00 3F FC 00"
		$"00 3F FC 00 00 3F FC 00 00 3F FC 00 00 00 00 00",

		$"00 07 E0 00 00 1F F8 00 00 3F FC 00 00 3F FC 00"
		$"00 7F FE 00 00 7F FE 00 00 7F FE 00 00 7F FE 00"
		$"00 7F FE 00 00 7F FE 00 00 3F FC 00 00 3F FC 00"
		$"00 1F F8 00 00 0F E0 00 00 0F F0 00 00 0F F0 00"
		$"00 0F F0 00 00 0F F0 00 00 1F F8 00 00 1F F8 00"
		$"00 1F F8 00 00 1F F8 00 00 3F FC 00 00 3F FC 00"
		$"00 3F FC 00 00 3F FC 00 00 7F FE 00 00 7F FE 00"
		$"00 7F FE 00 00 7F FE 00 00 7F FE 00 00 7F FE 00"
	}
};
*/

resource 'DLOG' (2002) {
	{44, 70, 289, 441},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	2002,
	""
};


resource 'DITL' (2002) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{205, 285, 225, 355},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{205, 55, 225, 125},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{40, 48, 73, 360},
		StaticText {
			disabled,
			"Connect to the file server \"^1\" as:"
		},
		/* [4] */
		{126, 63, 143, 142},
		StaticText {
			disabled,
			"Name:"
		},
		/* [5] */
		{126, 144, 142, 356},
		EditText {
			enabled,
			""
		},
		/* [6] */
		{152, 63, 169, 136},
		StaticText {
			disabled,
			"Password:"
		},
		/* [7] */
		{152, 144, 168, 204},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{95, 63, 113, 370},
		RadioButton {
			disabled,
			"Registered User"
		},
		/* [9] */
		{205, 155, 225, 255},
		Button {
			enabled,
			"Set Password"
		},
		/* [10] */
		{152, 220, 169, 370},
		StaticText {
			disabled,
			"(Kerberos)"
		},
		/* [11] */
		{77, 63, 95, 146},
		RadioButton {
			disabled,
			"Guest"
		}
	}
};


resource 'DLOG' (2003) {
	{100, 130, 237, 408},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	2003,
	""
};

resource 'DITL' (2003) {
	{	/* array DITLarray: 7 elements */
		/* [1] */
		{108, 179, 128, 259},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{108, 27, 128, 107},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{6, 4, 42, 272},
		StaticText {
			disabled,
			"Changing Password for \"^0\""
		},
		/* [4] */
		{47, 76, 63, 171},
		StaticText {
			disabled,
			"Old password:"
		},
		/* [5] */
		{47, 177, 63, 255},
		EditText {
			enabled,
			""
		},
		/* [6] */
		{74, 12, 90, 171},
		StaticText {
			disabled,
			"              New password:"
		},
		/* [7] */
		{74, 177, 90, 255},
		EditText {
			enabled,
			""
		}
	}
};


resource 'ALRT' (1004) {
	{53, 80, 198, 425},
	1004,
	{
/* [1] */	OK, visible, silent,
/* [2] */	OK, visible, silent,
/* [3] */	OK, visible, silent,
/* [4] */	OK, visible, silent
	}
};

resource 'ALRT' (1005) {
	{40, 56, 160, 456},
	1005,
	{
/* [1] */	OK, visible, silent,
/* [2] */	OK, visible, silent,
/* [3] */	OK, visible, silent,
/* [4] */	OK, visible, silent
	}
};

resource 'ALRT' (1006) {
	{40, 56, 160, 456},
	1006,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1007) {
	{40, 56, 160, 456},
	1007,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1008) {
	{40, 56, 160, 456},
	1008,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};

resource 'ALRT' (1009) {
	{40, 56, 160, 456},
	1009,
	{
/* [1] */	OK, visible, sound1,
/* [2] */	OK, visible, sound1,
/* [3] */	OK, visible, sound1,
/* [4] */	OK, visible, sound1
	}
};


resource 'DITL' (1004) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{117, 132, 137, 212},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 65, 107, 360},
		StaticText {
			disabled,
			"The confirmation password was not the same as the first.  Please start over."
		}
	}
};

resource 'DITL' (1005) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "The password for \"^0\" has been changed."}
	}
};


resource 'DITL' (1006) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Password change failed.\nPlease try again."}
	}
};

resource 'DITL' (1007) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Password change failed.\n(Your old password was incorrect)."}
	}
};


resource 'DITL' (1008) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "Password change failed.\n(Not supported by server)."}
	}
};


resource 'DITL' (1009) {
	{
		{85, 20, 105, 80},
		Button {enabled, "OK"},

		{10, 90, 80, 360},
		StaticText {disabled, "This file server will not allow any additional users to log on.  Try again later."}
	}
};


data 'acur' (1000, preload) {
	$"0008 0000 0004 0000 0101 0000 0102 0000"            /* ................ */
	$"0103 0000 0104 0000 0105 0000 0106 0000"            /* ................ */
	$"0107 0000"                                          /* .... */
};

resource 'CURS' (263, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 9040 8860"
	$"9C60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (262, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"BC60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (261, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8840 9040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (260, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8440 8440 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (259, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8240 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (258, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9F60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (257, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8140 8260"
	$"9C60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};


